# Uses of Class
bsh.Primitive

Packages that use Primitive
Package
Description
bsh

## Uses of Primitive in bsh

Fields in bsh declared as Primitive
Modifier and Type
Field
Description
`static final Primitive`
Primitive.`NULL`
`static final Primitive`
Primitive.`VOID`
VOID means "no type".
Methods in bsh that return Primitive
Modifier and Type
Method
Description
`Primitive`
Primitive.`castToType(Class toType, int operation)`
Cast this bsh.Primitive value to a new bsh.Primitive value This is usually a numeric type cast.
`static Primitive`
Primitive.`getDefaultValue(Class type)`
Get the appropriate default value per JLS 4.5.4
`static Primitive`
Primitive.`unaryOperation(Primitive val, int kind)`
Methods in bsh with parameters of type Primitive
Modifier and Type
Method
Description
`static Primitive`
Primitive.`unaryOperation(Primitive val, int kind)`